*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 03393
*                DRUG SERVICES RESEARCH SURVEY (DSRS), 1990
*            (DATASET 0003: PHASE II - CLIENT RECORD ABSTRACTS)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\03393-0003-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da03393-0003.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=870.
DATA LIST FILE=DATA /
              CASEID 1-4             OBS_NUM 5-7            CLIENTYP 8-9
          ABSTRACT 10-11           COMP_MO 12-13           COMP_YR 14-15
          COM_TIME 16-18             ABS_STAT 19          TRANS_NO 20-21
                REABS 22               QC_ABS 23             Q2_MO 24-25
             Q2_YR 26-27                Q3 28-30                Q4 31-33
                Q5 34-35                Q6 36-37                Q7 38-39
             Q8_MO 40-41             Q8_YR 42-43               Q10 44-45
               Q11 46-47               Q12 48-49               Q13 50-51
               Q14 52-53               Q15 54-55               Q16 56-57
               Q17 58-59               Q18 60-61               Q19 62-63
               Q20 64-65               Q21 66-67           Q21_OCC 68-71
               Q22 72-73               Q23 74-75               Q24 76-77
               Q25 78-79               Q26 80-81               Q27 82-83
               Q28 84-85               Q29 86-87              Q29A 88-89
          Q29A_MC1 90-91          Q29A_MC2 92-93          Q29A_MC3 94-95
          Q29A_MC4 96-97               Q30 98-99             Q31 100-101
             Q32 102-103             Q33 104-105            Q33A 106-107
        Q33A_MC1 108-109        Q33B_MC1 110-111        Q33B_MC2 112-113
        Q33B_MC3 114-115        Q33B_MC4 116-117        Q33B_MC5 118-119
        Q33B_MC6 120-121            Q33B 122-123           Q33B1 124-125
           Q33B2 126-127        Q35_EVER 128-129        Q35_USED 130-131
         Q35_AGE 132-133        Q36_EVER 134-135        Q36_USED 136-137
         Q36_AGE 138-139        Q37_EVER 140-141        Q37_USED 142-143
         Q37_AGE 144-145        Q38_EVER 146-147        Q38_USED 148-149
         Q38_AGE 150-151        Q39_EVER 152-153        Q39_USED 154-155
         Q39_AGE 156-157        Q40_EVER 158-159        Q40_USED 160-161
         Q40_AGE 162-163        Q41_EVER 164-165        Q41_USED 166-167
         Q41_AGE 168-169        Q42_EVER 170-171        Q42_USED 172-173
         Q42_AGE 174-175        Q43_EVER 176-177        Q43_USED 178-179
         Q43_AGE 180-181        Q44_EVER 182-183        Q44_USED 184-185
         Q44_AGE 186-187        Q45_EVER 188-189        Q45_USED 190-191
         Q45_AGE 192-193        Q46_EVER 194-195        Q46_USED 196-197
         Q46_AGE 198-199        Q47_EVER 200-201        Q47_USED 202-203
         Q47_AGE 204-205        Q48_EVER 206-207        Q48_USED 208-209
         Q48_AGE 210-211        Q49_EVER 212-213        Q49_USED 214-215
         Q49_AGE 216-217        Q50_EVER 218-219        Q50_USED 220-221
         Q50_AGE 222-223        Q51_EVER 224-225        Q51_USED 226-227
         Q51_AGE 228-229             Q52 230-231            Q53A 232-233
            Q53B 234-235            Q53C 236-237             Q54 238-239
        Q54_TST1 240-241        Q54_TST2 242-243         Q54_MO1 244-245
         Q54_YR1 246-247         Q54_MO2 248-249         Q54_YR2 250-251
          Q54A_1 252-253          Q54A_2 254-255          Q54B_1 256-257
          Q54B_2 258-259          Q54C_1 260-261          Q54C_2 262-263
          Q54D_1 264-265          Q54D_2 266-267          Q54E_1 268-269
          Q54E_2 270-271          Q54F_1 272-273          Q54F_2 274-275
          Q54G_1 276-277          Q54G_2 278-279          Q54H_1 280-281
          Q54H_2 282-283          Q54I_1 284-285          Q54I_2 286-287
          Q54J_1 288-289          Q54J_2 290-291          Q54K_1 292-293
          Q54K_2 294-295          Q54L_1 296-297          Q54L_2 298-299
          Q54M_1 300-301          Q54M_2 302-303          Q54N_1 304-305
          Q54N_2 306-307          Q54O_1 308-309          Q54O_2 310-311
             Q55 312-314             Q56 315-317             Q57 318-319
            Q57A 320-321             Q58 322-323          Q58_NO 324-325
        Q58A_PRI 326-327        Q58A_SEC 328-329        Q58A_FAC 330-331
        Q58A_RES 332-333        Q58B_PRI 334-335        Q58B_SEC 336-337
        Q58B_FAC 338-339        Q58B_RES 340-341        Q58C_PRI 342-343
        Q58C_SEC 344-345        Q58C_FAC 346-347        Q58C_RES 348-349
        Q58D_PRI 350-351        Q58D_SEC 352-353        Q58D_FAC 354-355
        Q58D_RES 356-357        Q58E_PRI 358-359        Q58E_SEC 360-361
        Q58E_FAC 362-363        Q58E_RES 364-365        Q58F_PRI 366-367
        Q58F_SEC 368-369        Q58F_FAC 370-371        Q58F_RES 372-373
        Q58G_PRI 374-375        Q58G_SEC 376-377        Q58G_FAC 378-379
        Q58G_RES 380-381        Q58H_PRI 382-383        Q58H_SEC 384-385
        Q58H_FAC 386-387        Q58H_RES 388-389        Q58I_PRI 390-391
        Q58I_SEC 392-393        Q58I_FAC 394-395        Q58I_RES 396-397
        Q58J_PRI 398-399        Q58J_SEC 400-401        Q58J_FAC 402-403
        Q58J_RES 404-405         Q59_SER 406-407         Q59_FAC 408-409
          Q59_NO 410-412         Q60_SER 413-414         Q60_FAC 415-416
          Q60_NO 417-419         Q61_SER 420-421         Q61_FAC 422-423
          Q61_NO 424-426         Q62_SER 427-428         Q62_FAC 429-430
          Q62_NO 431-433         Q63_SER 434-435         Q63_FAC 436-437
         Q64_SER 438-439         Q64_FAC 440-441         Q65_SER 442-443
         Q65_FAC 444-445         Q66_SER 446-447         Q66_FAC 448-449
         Q67_SER 450-451         Q67_FAC 452-453         Q68_SER 454-455
         Q68_FAC 456-457         Q69_SER 458-459         Q69_FAC 460-461
             Q70 462-463            Q70A 464-465             Q71 466-467
             Q72 468-469             Q73 470-471             Q74 472-473
         Q74A_MO 474-475         Q74A_YR 476-477        Q74A_TOT 478-479
        Q74A_GIV 480-481         Q74A_NO 482-483         Q74A_PL 484-485
         Q74B_MO 486-487         Q74B_YR 488-489        Q74B_TOT 490-492
        Q74B_GIV 493-494         Q74B_NO 495-496         Q74B_PL 497-498
             Q75 499-500             Q76 501-502         Q76A_MO 503-504
         Q76A_YR 505-506            Q76B 507-508          Q77_MO 509-510
          Q77_YR 511-512          Q78_MO 513-514          Q78_YR 515-516
             Q79 517-518            Q79A 519-520        Q79A_MC1 521-522
        Q79A_MC2 523-524        Q79A_MC3 525-526        Q79A_MC4 527-528
             Q80 529-530             Q81 531-532            Q81A 533-534
            Q81B 535-536            Q81C 537-538            Q81D 539-540
            Q81E 541-542            Q81F 543-544            Q81G 545-546
            Q81H 547-548            Q81I 549-550            Q81J 551-552
             Q82 553-554             Q83 555-559            Q83A 560-561
             Q84 562-563         Q84_PER 564-565             Q85 566-567
         BATCHNO 568-570             CORRFAC 571            ALCHONLY 572
             STRATUM 573              REGION 574             LOS 575-578
         TRT_DUR 579-582            AGEA 583-584            AGED 585-586
          TXTYPE 587-588            NUMDUALA 589            NUMDUALD 590
              NUMDXA 591       CWGHT 592-600 (7)        CWT1 601-609 (7)
        CWT2 610-618 (7)        CWT3 619-627 (7)        CWT4 628-636 (7)
        CWT5 637-645 (7)        CWT6 646-654 (7)        CWT7 655-663 (7)
        CWT8 664-672 (7)        CWT9 673-681 (7)       CWT10 682-690 (7)
       CWT11 691-699 (7)       CWT12 700-708 (7)       CWT13 709-717 (7)
       CWT14 718-726 (7)       CWT15 727-735 (7)       CWT16 736-744 (7)
       CWT17 745-753 (7)       CWT18 754-762 (7)       CWT19 763-771 (7)
       CWT20 772-780 (7)       CWT21 781-789 (7)       CWT22 790-798 (7)
       CWT23 799-807 (7)       CWT24 808-816 (7)       CWT25 817-825 (7)
       CWT26 826-834 (7)       CWT27 835-843 (7)       CWT28 844-852 (7)
       CWT29 853-861 (7)       CWT30 862-870 (7)
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   OBS_NUM   'OBSERVATION NUMBER' /
   CLIENTYP  'CLIENT TREATMENT TYPE:' /
   ABSTRACT  'ABSTRACTOR:' /
   COMP_MO   'DATE COMPLETED - MONTH:' /
   COMP_YR   'DATE COMPLETED - YEAR:' /
   COM_TIME  'TIME TO COMPLETE:' /
   ABS_STAT  'ABSTRACT STATUS:' /
   TRANS_NO  'TRANSMITTAL NUMBER:' /
   REABS     'RE-ABSTRACTED:' /
   QC_ABS    'QUALITY CONTROL ABSTRACT:' /
   Q2_MO     '2. MONTH OF ADMISSION:' /
   Q2_YR     '2. YEAR OF ADMISSION:' /
   Q3        '3. WAIT TIME-ADMISSION INTO PROGRAM:' /
   Q4        '4. PLANNED LENGTH OF TREATMENT:' /
   Q5        '5. PRIMARY REFERRAL SOURCE:' /
   Q6        '6. PRIMARY SOURCE OF PAY FOR TREATMENT:' /
   Q7        '7. 2ND SOURCE OF PAY FOR TREATMENT' /
   Q8_MO     '8. MONTH TREATMENT BEGAN:' /
   Q8_YR     '8. YEAR TREATMENT BEGAN:' /
   Q10       '10. AGE AT ADMISSION (IN YEARS):' /
   Q11       '11. GENDER:' /
   Q12       '12. RACE:' /
   Q13       '13. ETHNICITY:' /
   Q14       '14. MARITAL STATUS AT ADMISSION:' /
   Q15       '15. HAVE CHILD/CHILDREN AT ADMISSION:' /
   Q16       '16. LIVING WITH CHILDREN AT ADMISSION:' /
   Q17       '17. LIVING ARRANGEMENT AT ADMISSION:' /
   Q18       '18. EDUACATION AT ADMISSION:' /
   Q19       '19. STUDENT AT ADMISSION:' /
   Q20       '20. EMPLOYMENT AT ADMISSION:' /
   Q21       '21. USUAL (OR LAST) OCCUPATION:' /
   Q21_OCC   'OCCUPATIONAL CODE' /
   Q22       '22. DWI/DUI ARRESTS PRIOR TO ADMISSION:' /
   Q23       '23. OTHER ARRESTS PRIOR TO ADMISSION:' /
   Q24       '24. PRISON RECORD PRIOR TO ADMISSION:' /
   Q25       '25. DRUG TREATMENT - PROBATION' /
   Q26       '26. # ACUTE MEDICAL HOSPITALIZATIONS:' /
   Q27       '27. MEDICAL CONDITIONS AT ADMISSION:' /
   Q28       '28. PSYCHOLOGICAL DISORDER ADMISSION' /
   Q29       '29. DUAL DIAGNOSIS CLIENT AT ADMISSION:' /
   Q29A      '29A. SPECIFY MENTAL ILLNESS:' /
   Q29A_MC1  'Dual Diagnosis Client @ adm - 1st mental illness' /
   Q29A_MC2  'Dual Diagnosis Client @ adm - 2nd mental illness' /
   Q29A_MC3  'Dual Diagnosis Client @ adm - 3rd mental illness' /
   Q29A_MC4  'Dual Diagnosis Client @ adm - 4th mental illness' /
   Q30       '30. PREGNANCY STATUS AT ADMISSION:' /
   Q31       '31. PRESENTING PROBLEM AT ADMISSION:' /
   Q32       '32. PRINCIPAL TREATMENT FOCUS:' /
   Q33       'PRIMARY DSM DIAGNOSIS' /
   Q33A      'Q33A. SPECIFY PRIMARY DIAGNOSIS:' /
   Q33A_MC1  'PRIMARY ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC1  '1ST OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC2  '2ND OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC3  '3RD OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC4  '4TH OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC5  '5TH OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B_MC6  '6TH OTHER ICD-9 DIAGNOSIS AT ADM' /
   Q33B      'Q33B. LIST OTHER DIAGNOSES AND CODES:' /
   Q33B1     '1ST OTHER DX CODE (PRESUMED DSM-III)' /
   Q33B2     '2ND OTHER DX CODE (PRESUMED DSM-III)' /
   Q35_EVER  '35. COCAINE - EVER USED:' /
   Q35_USED  '35. COCAINE - USED IN LAST 30 DAYS:' /
   Q35_AGE   '35. COCAINE - AGE AT FIRST USE:' /
   Q36_EVER  '36. CRACK - EVER USED:' /
   Q36_USED  '36. CRACK - USED IN LAST 30 DAYS:' /
   Q36_AGE   '36. CRACK - AGE AT FIRST USE:' /
   Q37_EVER  '37. HEROIN - EVER USED:' /
   Q37_USED  '37. HEROIN - USED IN LAST 30 DAYS:' /
   Q37_AGE   '37. HEROIN - AGE AT FIRST USE:' /
   Q38_EVER  '38. NON-TREAT METHADONE - EVER USED:' /
   Q38_USED  '38. NON-TREAT METHADONE - USED 30 DAYS:' /
   Q38_AGE   '38. NON-TREAT METHADONE - AGE 1ST USED' /
   Q39_EVER  '39. OTHER OPIATES - EVER USED:' /
   Q39_USED  '39. OTHER OPIATES - USED LAST 30 DAYS:' /
   Q39_AGE   '39. OTHER OPIATES - AGE AT FIRST USE:' /
   Q40_EVER  '40. BARBITURATES - EVER USED:' /
   Q40_USED  '40. BARBITURATES - USED LAST 30 DAYS:' /
   Q40_AGE   '40. BARBITURATES - AGE AT FIRST USE:' /
   Q41_EVER  '41. BENZODIAZEPINES - EVER USED:' /
   Q41_USED  '41. BENZODIAZEPINES - USED 30 DAYS:' /
   Q41_AGE   '41. BENZODIAZEPINES - AGE AT FIRST USE:' /
   Q42_EVER  '42. OTHER SEDATIVES - EVER USED:' /
   Q42_USED  '42. OTHER SEDATIVES - USED 30 DAYS:' /
   Q42_AGE   '42. OTHER SEDATIVES - AGE AT FIRST USE:' /
   Q43_EVER  '43. METHAMPHETAMINES - EVER USED:' /
   Q43_USED  '43. METHAMPHETAMINES - USED 30 DAYS:' /
   Q43_AGE   '43. METHAMPHETAMINES - AGE AT 1ST USE:' /
   Q44_EVER  '44. OTHER AMPHETAMINES - EVER USED:' /
   Q44_USED  '44. OTHER AMPHETAMINES - USED 30 DAYS:' /
   Q44_AGE   '44. OTHER AMPHETAMINES-AGE AT 1ST USE:' /
   Q45_EVER  '45. MARIJUANA/HASHISH/THC - EVER USED:' /
   Q45_USED  '45. MARIJUANA/HASH/THC - USED 30 DAYS' /
   Q45_AGE   '45. MARIJUANA/HASHISH/THC-AGE 1ST USE:' /
   Q46_EVER  '46. PCP/LSD - EVER USED:' /
   Q46_USED  '46. PCP/LSD - USED IN LAST 30 DAYS:' /
   Q46_AGE   '46. PCP/LSD - AGE AT FIRST USE:' /
   Q47_EVER  '47. OTHER HALLUCINOGENS - EVER USED:' /
   Q47_USED  '47. OTHER HALLUCINOGENS - USED 30 DAYS:' /
   Q47_AGE   '47. OTHER HALLUCINOGENS - AGE 1ST USE:' /
   Q48_EVER  '48. INHALANTS - EVER USED:' /
   Q48_USED  '48. INHALANTS - USED IN LAST 30 DAYS:' /
   Q48_AGE   '48. INHALANTS - AGE AT FIRST USE:' /
   Q49_EVER  '49. OVER-THE-COUNTER - EVER USED:' /
   Q49_USED  '49. OVER-THE-COUNTER - USED 30 DAYS:' /
   Q49_AGE   '49. OVER-THE-COUNTER - AGE AT 1ST USE:' /
   Q50_EVER  '50. ALCOHOL - EVER USED:' /
   Q50_USED  '50. ALCOHOL - USED IN LAST 30 DAYS:' /
   Q50_AGE   '50. ALCOHOL - AGE AT FIRST USE:' /
   Q51_EVER  '51. OTHER (SPECIFY) - EVER USED:' /
   Q51_USED  '51. OTHER (SPECIFY) - USED 30 DAYS:' /
   Q51_AGE   '51. OTHER (SPECIFY) - AGE AT FIRST USE:' /
   Q52       '52. DRUG OF CHOICE AT ADMISSION:' /
   Q53A      '53A. INTRAVENOUS DRUG USER EVER:' /
   Q53B      '53B. INTRAVENOUS DRUG USER AT ADM:' /
   Q53C      '53C. FREQUENCY OF INTRAVENOUS DRUG USE:' /
   Q54       '54. ANY SUBSTANCE ABUSE TESTING:' /
   Q54_TST1  '54. TYPE OF TEST - FIRST TEST:' /
   Q54_TST2  '54. TYPE OF TEST - LAST TEST:' /
   Q54_MO1   '54. MONTH OF FIRST TEST RESULT:' /
   Q54_YR1   '54. YEAR OF FIRST TEST RESULT:' /
   Q54_MO2   '54. MONTH OF LAST TEST RESULT:' /
   Q54_YR2   '54. YEAR OF LAST TEST RESULT:' /
   Q54A_1    '54A. COCAINE/CRACK FIRST TEST RESULT:' /
   Q54A_2    '54A. COCAINE/CRACK LAST TEST RESULT:' /
   Q54B_1    '54B. HEROIN FIRST TEST RESULT:' /
   Q54B_2    '54B. HEROIN LAST TEST RESULT:' /
   Q54C_1    '54C. NON-TREAT METHADONE FIRST RESULT:' /
   Q54C_2    '54C. NON-TREAT METHADONE LAST RESULT:' /
   Q54D_1    '54D. OTHER OPIATES FIRST TEST RESULT:' /
   Q54D_2    '54D. OTHER OPIATES LAST TEST RESULT:' /
   Q54E_1    '54E. BARBITURATES FIRST TEST RESULT:' /
   Q54E_2    '54E. BARBITURATES LAST TEST RESULT:' /
   Q54F_1    '54F. BENZODIAZEPINES FIRST TEST RESULT:' /
   Q54F_2    '54F. BENZODIAZEPINES LAST TEST RESULT:' /
   Q54G_1    '54G. OTHER SEDATIVES FIRST TEST RESULT:' /
   Q54G_2    '54G. OTHER SEDATIVES LAST TEST RESULT:' /
   Q54H_1    '54H. METHAMPHETAMINES FIRST TEST' /
   Q54H_2    '54H. METHAMPHETAMINES LAST TEST RESULT:' /
   Q54I_1    '54I. OTHER AMPHETAMINES FIRST RESULT:' /
   Q54I_2    '54I. OTHER AMPHETAMINES LAST RESULT:' /
   Q54J_1    '54J. MARIJUANA FIRST TEST RESULT:' /
   Q54J_2    '54J. MARIJUANA LAST TEST RESULT:' /
   Q54K_1    '54K. PCP/LSD FIRST TEST RESULT:' /
   Q54K_2    '54K. PCP/LSD LAST TEST RESULT:' /
   Q54L_1    '54L. OTHER HALLUCINOGENS FIRST RESULT:' /
   Q54L_2    '54L. OTHER HALLUCINOGENS LAST RESULT:' /
   Q54M_1    '54M. INHALANTS FIRST TEST RESULT:' /
   Q54M_2    '54M. INHALANTS LAST TEST RESULT:' /
   Q54N_1    '54N. ALCOHOL FIRST TEST RESULT:' /
   Q54N_2    '54N. ALCOHOL LAST TEST RESULT:' /
   Q54O_1    '54O. OTHER SUBSTANCE FIRST TEST RESULT:' /
   Q54O_2    '54O. OTHER SUBSTANCE LAST TEST RESULT:' /
   Q55       '55. TOTAL NUMBER OF TESTS IN TREATMENT:' /
   Q56       '56. TOTAL NUMBER OF POSITIVE TESTS:' /
   Q57       '57. NUMBER OF TREATMENT EPISODES:' /
   Q57A      '57A. # OF YRS TREATMENT EPISODES' /
   Q58       '58. PAST TREATMENT EPISODES IN 12 MTHS:' /
   Q58_NO    '58. NUMBER OF ENTRIES IN TABLE:' /
   Q58A_PRI  '58A. REASON FOR TREATMENT - PRIMARY:' /
   Q58A_SEC  '58A. REASON FOR TREATMENT - SECONDARY:' /
   Q58A_FAC  '58A. FACILITY:' /
   Q58A_RES  '58A. REASON FOR DISCHARGE:' /
   Q58B_PRI  '58B. REASON FOR TREATMENT - PRIMARY:' /
   Q58B_SEC  '58B. REASON FOR TREATMENT - SECONDARY:' /
   Q58B_FAC  '58B. FACILITY:' /
   Q58B_RES  '58B. REASON FOR DISCHARGE:' /
   Q58C_PRI  '58C. REASON FOR TREATMENT - PRIMARY:' /
   Q58C_SEC  '58C. REASON FOR TREATMENT - SECONDARY:' /
   Q58C_FAC  '58C. FACILITY:' /
   Q58C_RES  '58C. REASON FOR DISCHARGE:' /
   Q58D_PRI  '58D. REASON FOR TREATMENT - PRIMARY:' /
   Q58D_SEC  '58D. REASON FOR TREATMENT - SECONDARY:' /
   Q58D_FAC  '58D. FACILITY:' /
   Q58D_RES  '58D. REASON FOR DISCHARGE:' /
   Q58E_PRI  '58E. REASON FOR TREATMENT - PRIMARY:' /
   Q58E_SEC  '58E. REASON FOR TREATMENT - SECONDARY:' /
   Q58E_FAC  '58E. FACILITY:' /
   Q58E_RES  '58E. REASON FOR DISCHARGE:' /
   Q58F_PRI  '58F. REASON FOR TREATMENT - PRIMARY:' /
   Q58F_SEC  '58F. REASON FOR TREATMENT - SECONDARY:' /
   Q58F_FAC  '58F. FACILITY:' /
   Q58F_RES  '58F. REASON FOR DISCHARGE:' /
   Q58G_PRI  '58G. REASON FOR TREATMENT - PRIMARY:' /
   Q58G_SEC  '58G. REASON FOR TREATMENT - SECONDARY:' /
   Q58G_FAC  '58G. FACILITY:' /
   Q58G_RES  '58G. REASON FOR DISCHARGE:' /
   Q58H_PRI  '58H. REASON FOR TREATMENT - PRIMARY:' /
   Q58H_SEC  '58H. REASON FOR TREATMENT - SECONDARY:' /
   Q58H_FAC  '58H. FACILITY:' /
   Q58H_RES  '58H. REASON FOR DISCHARGE:' /
   Q58I_PRI  '58I. REASON FOR TREATMENT - PRIMARY:' /
   Q58I_SEC  '58I. REASON FOR TREATMENT - SECONDARY:' /
   Q58I_FAC  '58I. FACILITY:' /
   Q58I_RES  '58I. REASON FOR DISCHARGE:' /
   Q58J_PRI  '58J. REASON FOR TREATMENT - PRIMARY:' /
   Q58J_SEC  '58J. REASON FOR TREATMENT - SECONDARY:' /
   Q58J_FAC  '58J. FACILITY:' /
   Q58J_RES  '58J. REASON FOR DISCHARGE:' /
   Q59_SER   '59. INDIVIDUAL COUNSELING - GIVEN:' /
   Q59_FAC   '59. INDIVIDUAL COUNSELING - FACILITY:' /
   Q59_NO    '59. INDIVID COUNSELING - # ENCOUNTERS:' /
   Q60_SER   '60. GROUP COUNSELING - SERVICE GIVEN:' /
   Q60_FAC   '60. GROUP COUNSELING - FACILITY:' /
   Q60_NO    '60. GROUP COUNSELING - # OF ENCOUNTERS:' /
   Q61_SER   '61. FAMILY COUNSELING - SERVICE GIVEN:' /
   Q61_FAC   '61. FAMILY COUNSELING - FACILITY:' /
   Q61_NO    '61. FAMILY COUNSELING - # ENCOUNTERS' /
   Q62_SER   '62. DRUG EDUCATION - SERVICE GIVEN:' /
   Q62_FAC   '62. DRUG EDUCATION - FACILITY:' /
   Q62_NO    '62. DRUG EDUCATION - # OF ENCOUNTERS:' /
   Q63_SER   '63. EMPLOYMENT COUNSELING - GIVEN:' /
   Q63_FAC   '63. EMPLOYMENT COUNSELING - FACILITY:' /
   Q64_SER   '64. JOB TRAINING - SERVICE GIVEN:' /
   Q64_FAC   '64. JOB TRAINING - FACILITY:' /
   Q65_SER   '65. EDUCATIONAL CLASSES - GIVEN:' /
   Q65_FAC   '65. EDUCATIONAL CLASSES - FACILITY:' /
   Q66_SER   '66. DETOXIFICATION - SERVICE GIVEN:' /
   Q66_FAC   '66. DETOXIFICATION - FACILITY:' /
   Q67_SER   '67. ACTIVITY GROUPS - SERVICE GIVEN:' /
   Q67_FAC   '67. ACTIVITY GROUPS - FACILITY:' /
   Q68_SER   '68. SELF-HELP GROUPS - SERVICE GIVEN:' /
   Q68_FAC   '68. SELF-HELP GROUPS - FACILITY:' /
   Q69_SER   '69. DAY CARE - SERVICE GIVEN:' /
   Q69_FAC   '69. DAY CARE - FACILITY:' /
   Q70       '70. MEDICATIONS PRESCRIBED - TREATMENT:' /
   Q70A      '70A. MEDICATIONS SPECIFIED:' /
   Q71       '71. PHYSICIAN NOTES AT ADMISSION:' /
   Q72       '72. PHYSICIAN NOTES AT DISCHARGE:' /
   Q73       '73. PHYSICIAN NOTES AT ANY OTHER TIME:' /
   Q74       '74. METHADONE GIVEN DURING TREATMENT:' /
   Q74A_MO   '74A. FIRST TREATMENT - MONTH:' /
   Q74A_YR   '74A. FIRST TREATMENT - YEAR:' /
   Q74A_TOT  '74A. 1ST TREATMENT - TOTAL DAILY DOSE:' /
   Q74A_GIV  '74A. FIRST TREATMENT - GIVEN DOSE:' /
   Q74A_NO   '74A. FIRST TREATMENT - # OF TIMES/DAY:' /
   Q74A_PL   '74A. FIRST TREATMENT - PLACE:' /
   Q74B_MO   '74B. LAST TREATMENT - MONTH:' /
   Q74B_YR   '74B. LAST TREATMENT - YEAR:' /
   Q74B_TOT  '74B. LAST TREATMENT - TOTAL DAILY DOSE:' /
   Q74B_GIV  '74B. LAST TREATMENT - GIVEN DOSE:' /
   Q74B_NO   '74B. LAST TREATMENT - # OF TIMES/DAY:' /
   Q74B_PL   '74B. LAST TREATMENT - PLACE:' /
   Q75       '75. METHADONE SUPPLY TAKEN HOME:' /
   Q76       '76. REASON FOR DISCHARGE:' /
   Q76A_MO   '76A. MONTH OF DEATH:' /
   Q76A_YR   '76A. YEAR OF DEATH:' /
   Q76B      '76B. SPECIFY REASON:' /
   Q77_MO    '77. MONTH OF DISCHARGE:' /
   Q77_YR    '77. YEAR OF DISCHARGE:' /
   Q78_MO    '78. MONTH OF LAST TREATMENT:' /
   Q78_YR    '78. YEAR OF LAST TREATMENT:' /
   Q79       '79. DUAL DIAGNOSIS CLIENT AT DISCHARGE:' /
   Q79A      '79A. SPECIFY MENTAL ILLNESS:' /
   Q79A_MC1  'DUAL DIAGNOSIS CLIET @ D/C - 1ST MENTAL ILLNESS' /
   Q79A_MC2  'DUAL DIAGNOSIS CLIET @ D/C - 2ND MENTAL ILLNESS' /
   Q79A_MC3  'DUAL DIAGNOSIS CLIET @ D/C - 3RD MENTAL ILLNESS' /
   Q79A_MC4  'DUAL DIAGNOSIS CLIET @ D/C - 4TH MENTAL ILLNESS' /
   Q80       '80. AFTER-CARE PLAN STATED IN RECORD:' /
   Q81       '81. SERVICES IN AFTER-CARE PLAN:' /
   Q81A      '81A. INDIVIDUAL COUNSELING:' /
   Q81B      '81B. GROUP COUNSELING:' /
   Q81C      '81C. FAMILY COUNSELING:' /
   Q81D      '81D. EDUCATIONAL CLASSES:' /
   Q81E      '81E. EMPLOYMENT COUNSELING:' /
   Q81F      '81F. JOB TRAINING:' /
   Q81G      '81G. ACTIVITY GROUPS:' /
   Q81H      '81H. SELF-HELP GROUPS(AA/NA):' /
   Q81I      '81I. ALUMNI GROUP/REUNION:' /
   Q81J      '81J. OTHER (SPECIFY):' /
   Q82       '82. TREATMENT TO WHICH CLIENT REFERRED' /
   Q83       '83. BILLED CHARGES FOR THIS TREATMENT:' /
   Q83A      '83A. FUNDED SLOT?' /
   Q84       '84. CHARGES RECORDED REFER TO:' /
   Q84_PER   '84. SPECIFY PERCENTAGE OF FULL BILLED:' /
   Q85       '85. COMMENTS:' /
   BATCHNO   'BATCH NUMBER' /
   CORRFAC   'CORRECTIONAL FACILITY' /
   ALCHONLY  'ALCOHOL ONLY FACILITY' /
   STRATUM   'STRATUM SAMPLING FRAME' /
   REGION    'REGION - CENSUS REGION' /
   LOS       'LENGTH OF STAY (DAYS)' /
   TRT_DUR   'DURATION OF TREATMENT (DAYS)' /
   AGEA      'CALCULATED AGE AT ADMISSION' /
   AGED      'CALCULATED AGE AT DISCHARGE' /
   TXTYPE    'TREATMENT TYPE' /
   NUMDUALA  'NUMBER OF DUAL DIAGNOSES AT ADMISSION' /
   NUMDUALD  'NUMBER OF DUAL DIAGNOSES AT DISCHARGE' /
   NUMDXA    'NUMBER OF DIAGNOSES AT ADMISSION' /
   CWGHT     'FINL NONRESPNS ADJSTD SELECTN WEIGHT' /
   CWT1      'REPLICATE WEIGHT 1' /
   CWT2      'REPLICATE WEIGHT 2' /
   CWT3      'REPLICATE WEIGHT 3' /
   CWT4      'REPLICATE WEIGHT 4' /
   CWT5      'REPLICATE WEIGHT 5' /
   CWT6      'REPLICATE WEIGHT 6' /
   CWT7      'REPLICATE WEIGHT 7' /
   CWT8      'REPLICATE WEIGHT 8' /
   CWT9      'REPLICATE WEIGHT 9' /
   CWT10     'REPLICATE WEIGHT 10' /
   CWT11     'REPLICATE WEIGHT 11' /
   CWT12     'REPLICATE WEIGHT 12' /
   CWT13     'REPLICATE WEIGHT 13' /
   CWT14     'REPLICATE WEIGHT 14' /
   CWT15     'REPLICATE WEIGHT 15' /
   CWT16     'REPLICATE WEIGHT 16' /
   CWT17     'REPLICATE WEIGHT 17' /
   CWT18     'REPLICATE WEIGHT 18' /
   CWT19     'REPLICATE WEIGHT 19' /
   CWT20     'REPLICATE WEIGHT 20' /
   CWT21     'REPLICATE WEIGHT 21' /
   CWT22     'REPLICATE WEIGHT 22' /
   CWT23     'REPLICATE WEIGHT 23' /
   CWT24     'REPLICATE WEIGHT 24' /
   CWT25     'REPLICATE WEIGHT 25' /
   CWT26     'REPLICATE WEIGHT 26' /
   CWT27     'REPLICATE WEIGHT 27' /
   CWT28     'REPLICATE WEIGHT 28' /
   CWT29     'REPLICATE WEIGHT 29' /
   CWT30     'REPLICATE WEIGHT 30' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   CLIENTYP  -9 'UNKNOWN/UNABLE TO DETERMINE' 1 'HOSPITAL IN-PATIENT'
             2 'RESIDENTIAL' 3 'OUT-PATIENT DETOX/MAINTENANCE'
             4 'OUT-PATIENT DRUG-FREE' 5 'ALCOHOL ONLY'
             7 'COMBINATION (SPECIFY)' /
   COM_TIME  -9 'NOT RECORDED' /
   ABS_STAT  0 'INELIGIBLE' 1 'COMPLETE' 2 'PARTIAL COMPLETE'
             3 'NO RECORD AVAILABLE' /
   TRANS_NO  -9 'UNKNOWN/NOT MENTIONED' /
   REABS     0 'NO, BOX NOT CHECKED' 1 'YES' /
   QC_ABS    0 'NO, BOX NOT CHECKED' 1 'YES, BOX CHECKED' /
   Q2_MO     -9 'UNKNOWN/NOT MENTIONED' /
   Q2_YR     -9 'UNKNOWN/NOT MENTIONED' /
   Q3        -9 'UNKNOWN/NOT MENTIONED' 0 'NO WAITING TIME' /
   Q4        -9 'UNKNOWN/NOT MENTIONED' /
   Q5        -9 'UNKNOWN/NOT MENTIONED' 1 'SELF' 2 'FAMILY'
             3 'FRIEND/ACQUAINTANCE' 4 'CLERGY' 5 'SCHOOL'
             6 'SOCIAL SERVICE AGENCY' 7 'EMPLOYEE ASSISTANCE PROGRAM (EAP)'
             8 'EMPLOYER (OTHER THAN EAP)' 9 'CRIMINAL JUSTICE/LEGAL SYSTEM-'
             10 'CRIMINAL JUSTICE/LEGAL SYSTEM-'
             11 'CRIMINAL JUSTICE/LEGAL SYSTEM-' 12 'PRIVATE PHYSICIAN'
             13 'COMMUNITY MENTAL HEALTH CENTER'
             14 'OTHER HEALTH PROFESSIONAL OR PROVIDER/HOSPITAL'
             15 'ANOTHER ALCOHOL/DRUG ABUSE TREATMENT PROGRAM'
             88 'OTHER(SPECIFY)' /
   Q6        -9 'UNKNOWN/NOT MENTIONED' -6 'NOT PERMITTED TO ABSTRACT'
             1 'NO PAYMENT - PUBLIC SUBSIDY' 2 'NO PAYMENT - PHILANTHROPY'
             3 'NO PAYMENT - NOT OTHERWISE SPECIFIED' 4 'SELF-PAY'
             5 'HMO OR OTHER PREPAID PLAN' 6 'PRIVATE HEALTH INSURANCE'
             7 'MEDICAID' 8 'MEDICARE' 9 'DOD' 10 'CHAMPUS' 11 'VA'
             12 'SOCIAL SERVICES' 13 'PUBLIC HOUSING/HOME RELIEF'
             88 'OTHER(SPECIFY)' /
   Q7        -9 'UNKNOWN/NOT MENTIONED' -6 'NOT PERMITTED TO ABSTRACT'
             1 'NO PAYMENT - PUBLIC SUBSIDY' 2 'NO PAYMENT - PHILANTHROPY'
             3 'NO PAYMENT - NOT OTHERWISE SPECIFIED' 4 'SELF-PAY'
             5 'HMO OR OTHER PREPAID PLAN' 6 'PRIVATE HEALTH INSURANCE'
             7 'MEDICAID' 8 'MEDICARE' 9 'DOD' 10 'CHAMPUS' 11 'VA'
             12 'SOCIAL SERVICES' 13 'PUBLIC HOUSING/HOME RELIEF'
             88 'OTHER(SPECIFY)' /
   Q8_MO     -9 'UNKNOWN/NOT MENTIONED' /
   Q8_YR     -9 'UNKNOWN/NOT MENTIONED' /
   Q10       -9 'UNKNOWN/NOT MENTIONED' /
   Q11       -9 'UNKNOWN/NOT MENTIONED' 1 'MALE' 2 'FEMALE'
             8 'OTHER (SPECIFY)' /
   Q12       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' 1 'WHITE'
             2 'BLACK' 3 'AMERICAN INDIAN' 4 'ALASKAN NATIVE'
             5 'ASIAN OR PACIFIC ISLANDER' 8 'OTHER (SPECIFY)' /
   Q13       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' 1 'HISPANIC'
             2 'NOT OF HISPANIC ORIGIN' 8 'OTHER (SPECIFY)' /
   Q14       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' 0 'NEVER MARRIED'
             1 'MARRIED/COMMON LAW' 2 'WIDOWED' 3 'SEPARATED/DIVORCED'
             4 'SINGLE' 8 'OTHER (SPECIFY)' /
   Q15       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q16       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q17       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             0 'NO STABLE ARRANGEMENT(INCLUDE HOMELESS, SHELTERS)'
             1 'WITH PARTNER/SPOUSE' 2 'WITH PARENT(S)' 3 'WITH OTHER FAMILY'
             4 'WITH UNRELATED OTHER(S)' 5 'ALONE' 6 'WITH NO OTHER ADULT(S)'
             7 'CONTROLLED ENVIRONMENT' 8 'OTHER (SPECIFY)' /
   Q18       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             1 'LESS THAN 8 YEARS' 2 '8-11 YEARS'
             3 '< H.S. GRADUATE, NOT OTHERWISE SPECIFIED'
             4 'H.S. GRADUATE/GED' 5 'SOME COLLEGE' 6 'COLLEGE GRADUATE'
             7 'POSTGRADUATE' 8 'OTHER (SPECIFY)' /
   Q19       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q20       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             1 'FULL-TIME (35 HRS/WK OR MORE)'
             2 'PART-TIME (LESS THAN 35 HRS/WK)'
             3 'EMPLOYED, NOT OTHERWISE SPECIFIED'
             4 'KEEPING HOUSE, NOT OTHERWISE EMPLOYED'
             5 'UNEMPLOYED - RETIRED' 6 'UNEMPLOYED - DISABLED'
             7 'UNEMPLOYED, NOT OTHERWISE SPECIFIED' 8 'OTHER (SPECIFY)' /
   Q21       -9 'UNKNOWN/NOT MENTIONED' 1 'OCCUPATION GIVEN' /
   Q22       -9 'UNKNOWN/NOT MENTIONED' 0 'NONE' 1 'YES'
             6 'NOT PERMITTED TO ABSTRACT' /
   Q23       -9 'UNKNOWN/NOT MENTIONED' 0 'NONE' 1 'YES'
             6 'NOT PERMITTED TO ABSTRACT' /
   Q24       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES'
             6 'NOT PERMITTED TO ABSTRACT' /
   Q25       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES'
             6 'NOT PERMITTED TO ABSTRACT' /
   Q26       -9 'UNKNOWN/NOT MENTIONED' 0 'NONE' /
   Q27       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q28       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q29       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES, SPECIFY BELOW' /
   Q29A      -9 'UNKNOWN / NOT ASCERTAINED' -5 'INAP - Q29 = NO or MISSING'
             1 'MENTAL ILLNESS SPECIFIED' /
   Q29A_MC1  -5 'INAP - DUAL DIAGNOSIS NOT INDICATED' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q29A_MC2  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'INAP - MULTIPLE DUAL DIAGNOSES NOT INDICATED'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q29A_MC3  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'INAP - MULTIPLE DUAL DIAGNOSES NOT INDICATED'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q29A_MC4  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'INAP - MULTIPLE DUAL DIAGNOSES NOT INDICATED'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q30       -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - MALE CLIENT'
             0 'NOT PREGNANT' 1 'PREGNANT' /
   Q31       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             1 'SINGLE DRUG ABUSE ONLY (EXCLUDING ALCOHOL)'
             2 'POLYDRUG ABUSE ONLY (EXCLUDING ALCOHOL)'
             3 'ALCOHOL ABUSE ONLY'
             4 'ALCOHOL ABUSE AND ABUSE OF ONE OTHER DRUG COMBINED'
             5 'ALCOHOL ABUSE AND ABUSE OF TWO OR MORE OTHER DRUGS COMBINED'
             /
   Q32       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             1 'SINGLE DRUG ABUSE ONLY (EXCLUDING ALCOHOL)'
             2 'POLYDRUG ABUSE ONLY (EXCLUDING ALCOHOL)'
             3 'ALCOHOL ABUSE ONLY'
             4 'ALCOHOL AND OTHER DRUGS ABUSE COMBINED' /
   Q33       -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'MISSING'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33A      -9 'UNKNOWN / NOT MENTIONED' 1 'PRIMARY DIAGNOSIS SPECIFIED' /
   Q33A_MC1  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC1  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'INAP - MULTIPLE DIAGNOSES NOT AVAILABLE' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC2  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'INAP - MULTIPLE DIAGNOSES NOT AVAILABLE' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC3  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC4  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC5  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B_MC6  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B      -9 'UNKNOWN - NOT MENTIONED' 1 'PRIMARY DIAGNOSIS SPECIFIED' /
   Q33B1     -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'MISSING'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q33B2     -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED' -5 'INAP'
             0 'NO DIAGNOSIS' 1 'ALCOHOL-INDUCED DISORDER'
             2 'SUBSTANCE-INDUCED DISORDER' 3 'ALCOHOL INTOXICATION'
             4 'ALCOHOL DEPENDENCE' 5 'OPIOID DEPENDENCE'
             6 'COCAINE DEPENDENCE' 7 'CANNABIS DEPENDENCE'
             8 'OTHER SUBSTANCE DEPENDENCE' 9 'ALCOHOL ABUSE'
             10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE' 12 'OPIOID ABUSE'
             13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q35_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q35_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - COCAINE USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q35_AGE   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - COCAINE USE NOT INDICATED'
             /
   Q36_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q36_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - CRACK USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q36_AGE   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - CRACK USE NOT INDICATED' /
   Q37_EVER  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - HERION USE NOT INDICATED'
             0 'NO/NEVER USED' 1 'YES' /
   Q37_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - HERION USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q37_AGE   -9 'UNKNOWN / NOT MENTIONED'
             -5 'INAP - HERION USE NOT INDICATED' /
   Q38_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q38_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NON-TREAT METHADONE NOT INDICATED' 0 'NO' 1 'YES' /
   Q38_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NON-TREAT METHADONE NOT INDICATED' /
   Q39_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q39_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER OPIATE USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q39_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER OPIATE USE NOT INDICATED' /
   Q40_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q40_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - BARBITURATE USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q40_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - BARBITURATE USE NOT INDICATED' /
   Q41_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q41_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - BENZODIAZEPINE USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q41_AGE   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - OTHER USE NOT INDICATED' /
   Q42_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q42_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER SED USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q42_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER SEDATIVE USE NOT INDICATED' /
   Q43_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q43_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - METHAMPHETAMINE USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q43_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER METHAMPHETAMINE USE NOT INDICATED' /
   Q44_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q44_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER AMPHETAMINE USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q44_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER AMPHETAMINE USE NOT INDICATED' /
   Q45_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q45_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - OTHER USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q45_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER MJ, HASHISH, THC, USE NOT INDICATED' /
   Q46_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q46_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - LOGICAL SKIP' 0 'NO'
             1 'YES' /
   Q46_AGE   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - PCP/LSD USE NOT INDICATED'
             /
   Q47_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q47_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER HALLUCINOGEN USE NOT INDICATED' 0 'NO' 1 'YES'
             /
   Q47_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER HALLUCINOGEN USE NOT INDICATED' /
   Q48_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q48_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - INHALANT USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q48_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER INHALANT USE NOT INDICATED' /
   Q49_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q49_USED  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OVER-THE-COUTNER USE NOT INDICATED' 0 'NO' 1 'YES' /
   Q49_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER OVER-THE-COUNTER USE NOT INDICATED' /
   Q50_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q50_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - ALCOHOL USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q50_AGE   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - OTHER ALCOHOL USE NOT INDICATED' /
   Q51_EVER  -9 'UNKNOWN/NOT MENTIONED' 0 'NO/NEVER USED' 1 'YES' /
   Q51_USED  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - OTHER USE NOT INDICATED'
             0 'NO' 1 'YES' /
   Q51_AGE   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - OTHER USE NOT INDICATED' /
   Q52       -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DRUG OF CHOICE NOT SPECIFIED AT ADMISSION'
             0 'NO DRUG OF CHOICE' 35 'COCAINE' 36 'CRACK' 37 'HEROIN'
             38 'NON-TREATMENT METHADONE' 39 'OTHER OPIATES/SYNTHETICS'
             40 'BARBITURATES' 41 'BENZODIAZEPINES'
             42 'OTHER SEDATIVES/HYPNOTICS' 43 'METHAMPHETAMINES'
             44 'OTHER AMPHETAMINES' 45 'MARIJUANA/HASHISH/THC' 46 'PCP/LSD'
             47 'OTHER HALLUCINOGENS' 48 'INHALANTS' 49 'OVER-THE-COUNTER'
             50 'ALCOHOL' 51 'OTHER' /
   Q53A      -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q53B      -9 'UNKNOWN / NOT MENTIONED'
             -5 'INAP - NO LIFE TIME IDU INDICATED' 0 'NO' 1 'YES' /
   Q53C      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO IDU INDICATED AT ADMISSION' 1 'DAILY'
             2 'REGULARLY BUT NOT DAILY' 3 'SPORADICALLY' /
   Q54       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q54_TST1  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER (SPECIFY)'
             -5 'INAP - Q54 = 0 OR MISSING' 1 'URINE' 2 'SERUM/BLOOD'
             8 'OTHER SPECIFY' /
   Q54_TST2  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER (SPECIFY)'
             -5 'INAP - Q54=0 OR MISSING, OR ONLY ONE TEST' 1 'URINE'
             2 'SERUM/BLOOD' 8 'OTHER SPECIFY' /
   Q54_MO1   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - Q54=0 OR MISSING' /
   Q54_YR1   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - Q54=0 OR MISSING' /
   Q54_MO2   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - Q54=0 OR MISSING' /
   Q54_YR2   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - Q54=0 OR MISSING' /
   Q54A_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54A_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54B_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54B_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54C_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54C_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54D_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54D_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54E_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54E_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54F_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54F_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54G_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54G_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54H_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54H_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54I_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54I_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54J_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54J_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54K_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54K_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54L_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54L_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54M_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54M_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54N_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54N_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54O_1    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q54O_2    -5 'BLANK - NOT CHECKED' 1 'POSITIVE' /
   Q55       -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP-NO SUBSTANCE ABUSE TESTING INDICATED' /
   Q56       -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP-NO SUBSTANCE ABUSE TESTING INDICATED' 0 'NONE' /
   Q57       -9 'UNKNOWN/NOT MENTIONED' /
   Q57A      -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER (SPECIFY)'
             -5 'INAP - NO PREVIOUS TX EPISODES' 0 'LESS THAN 6 MONTHS'
             55 'LIFETIME' /
   Q58       -9 'UNKOWN / NOT MENTIONED' -5 'INAP - NO PREVIOUS TX EPISODES'
             0 'NO' 1 'YES' 2 'YES, DATA OVERFLOW' /
   Q58_NO    -9 '9 OR MORE TREATMENT EPISODES'
             -5 'INAP-NO PRIOR TREATMENT EPISODES' 9 '9 OR MORE' /
   Q58A_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP-NO PRIOR TREATMENT EPISODES' 1 'COCAINE' 2 'CRACK'
             3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER - SPECIFY' 9 'METHAMPHETAMINES' 10 'OTHER AMPHETAMINES'
             11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD' 13 'OTHER HALLUCINOGENS'
             14 'INHALANTS' 15 'ALCOHOL' 16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER - SPECIFY' /
   Q58A_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE'
             -5 'INAP-NO PRIOR TREATMENT EPISODES' 1 'COCAINE' 2 'CRACK'
             3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER - SPECIFY' 9 'METHAMPHETAMINES' 10 'OTHER AMPHETAMINES'
             11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD' 13 'OTHER HALLUCINOGENS'
             14 'INHALANTS' 15 'ALCOHOL' 16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             77 'RECORD STATES NO SECONDARY DRUG USE' 88 'OTHER - SPECIFY' /
   Q58A_FAC  -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO PRIOR TREATMENT EPISODES' 1 'HERE' 2 'ELSEWHERE' /
   Q58A_RES  -9 'UNKNOWN/NOT ASCERTAINED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' 8 'OTHER - SPECIFY' /
   Q58B_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER - SPECIFY' /
   Q58B_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58B_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58B_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' 8 'OTHER (SPECIFY)' /
   Q58C_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58C_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58C_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58C_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58D_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58D_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58D_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58D_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58E_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58E_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58E_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58E_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58F_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58F_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58F_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58F_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58G_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58G_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58G_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58G_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58H_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58H_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58H_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58H_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58I_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58I_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58I_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58I_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q58J_PRI  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' -5 'INAP'
             1 'COCAINE' 2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58J_SEC  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -7 'RECORD STATES NO SECONDARY DRUG USE' -5 'INAP' 1 'COCAINE'
             2 'CRACK' 3 'HEROIN' 4 'NON-TREATMENT METHADONE'
             5 'OTHER OPIATES/SYNTHETICS' 6 'BARBITUATES' 7 'BENZODIAZEPINES'
             8 'OTHER SEDATIVES/HYPNOTICS' 9 'METHAMPHETAMINES'
             10 'OTHER AMPHETAMINES' 11 'MARIJUANA/HASHISH/THC' 12 'PCP/LSD'
             13 'OTHER HALLUCINOGENS' 14 'INHALANTS' 15 'ALCOHOL'
             16 'POLYDRUG (EXCLUDING ALCOHOL)'
             17 'COMBINATION ALCOHOL AND OTHER DRUG'
             18 'SUBSTANCE ABUSE/ MENTAL ILLNESS (DUAL DIAGNOSIS)'
             88 'OTHER (SPECIFY)' /
   Q58J_FAC  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP' 1 'HERE' 2 'ELSEWHERE' /
   Q58J_RES  -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -5 'INAP - Logical Skip' 1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TREATMENT, REFERRED'
             3 'DID NOT COMPLETE TREATMENT BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TREATMENT BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TREATMENT, NOT MENTIONED BY WHOSE CHOICE'
             6 'INCARCERATED' /
   Q59_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q59_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO IND COUNSELING INDICATED' 1 'HERE' 2 'ELSEWHERE' /
   Q59_NO    -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO IND COUNSELING INDICATED' 0 'NONE' /
   Q60_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q60_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO DRUG EDUCATION INDICATED' 1 'HERE' 2 'ELSEWHERE' /
   Q60_NO    -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO GROUP COUNSELING INDICATED' 0 'NONE' /
   Q61_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q61_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - FAMILY COUNSELING NOT GIVEN' 1 'HERE' 2 'ELSEWHERE' /
   Q61_NO    -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO FAMILY COUNSELING INDICATED' 0 'NONE' /
   Q62_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q62_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO DRUG EDUCATION INDICATED' 1 'HERE' 2 'ELSEWHERE' /
   Q62_NO    -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO DRUG EDUCATION INDICATED' 0 'NONE' /
   Q63_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q63_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO EMPLOYMENT COUNSELING INDICATED' 1 'HERE'
             2 'ELSEWHERE' /
   Q64_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q64_FAC   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO JOB TRAINING INDICATED'
             1 'HERE' 2 'ELSEWHERE' /
   Q65_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q65_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO EDUCATIONAL CLASSES INDICATED' 1 'HERE'
             2 'ELSEWHERE' /
   Q66_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q66_FAC   -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO DETOXIFICATION INDICATED' 1 'HERE' 2 'ELSEWHERE' /
   Q67_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q67_FAC   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - ACTIVITY GROUPS INDICATED'
             1 'HERE' 2 'ELSEWHERE' /
   Q68_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q68_FAC   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - SELF HELP NOT INDICATED'
             1 'HERE' 2 'ELSEWHERE' /
   Q69_SER   -9 'UNKNOWN/NOT MENTIONED' 0 'NOT GIVEN'
             1 'ACTUALLY GIVEN, COMPLETED' 2 'ACTUALLY GIVEN, NOT COMPLETED'
             3 'ACTUALLY GIVEN, NOT COMPLETED'
             4 'ACTUALLY GIVEN, NOT COMPLETED BUT NOT MENTIONED'
             5 'PLANNED OR RECOMMENDED, CAN''T CONFIRM ACTUALLY GIVEN' /
   Q69_FAC   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - DAY CARE NOT INDICATED'
             1 'HERE' 2 'ELSEWHERE' /
   Q70       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES, SPECIFY BELOW' /
   Q70A      -9 'UNKNOWN/NOT MENTIONED' -5 'INAP-MEDICATIONS NOT PRESCRIBED'
             1 'MEDICATIONS SPECIFIED' /
   Q71       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q72       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q73       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q74       -9 'UNKNOWN/NOT MENTIONED' 0 'NO' 1 'YES' /
   Q74A_MO   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74A_YR   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74A_TOT  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74A_GIV  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74A_NO   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74A_PL   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN'
             1 'HERE' 2 'AT HOME' 3 'HERE/AT HOME' /
   Q74B_MO   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74B_YR   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74B_TOT  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74B_GIV  -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74B_NO   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' /
   Q74B_PL   -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN'
             1 'HERE' 2 'AT HOME' 3 'HERE/AT HOME' /
   Q75       -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - NO METHADONE GIVEN' 0 'NO'
             1 'YES' /
   Q76       -9 'UNKNOWN/NOT MENTIONED' 0 'CLIENT DECEASED'
             1 'COMPLETED PLANNED TREATMENT'
             2 'DID NOT COMPLETE TX, REFERRED TO ANOTHER PROGRAM'
             3 'DID NOT COMPLETE TX BY ADMINISTRATION CHOICE'
             4 'DID NOT COMPLETE TX BY CLIENT CHOICE'
             5 'DID NOT COMPLETE TX, NOT MENTIONED WHOSE CHOICE'
             6 'INCARCERATED' 8 'OTHER (SPECIFY)' /
   Q76A_MO   -9 'UNKNOWN - NOT MENTIONED' -5 'INAP - NOT DECEASED' /
   Q76A_YR   -9 'UNKNOWN - NOT MENTIONED' -5 'INAP - NOT DECEASED' /
   Q76B      -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - Q76 CODED 1,2,3,6, OR -9'
             1 'REASON SPECIFIED' /
   Q77_MO    -9 'UNKNOWN/NOT MENTIONED' /
   Q77_YR    -9 'UNKNOWN/NOT MENTIONED' /
   Q78_MO    -9 'UNKNOWN/NOT MENTIONED' /
   Q78_YR    -9 'UNKNOWN/NOT MENTIONED' /
   Q79       -9 'UNKNOWN / NOT MENTIONED' 0 'NO' 1 'YES, SPECIFY BELOW' /
   Q79A      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - NO DUAL DIAGNOSIS INDICATED'
             1 'MENTAL ILLNESS SPECIFIED' /
   Q79A_MC1  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'Inap - Logical Skip' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q79A_MC2  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'Inap - Logical Skip' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q79A_MC3  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'Inap - Logical Skip' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q79A_MC4  -9 'NOT APPLICABLE' -7 'NOT ASCERTAINED'
             -5 'Inap - Logical Skip' 0 'NO DIAGNOSIS'
             1 'ALCOHOL-INDUCED DISORDER' 2 'SUBSTANCE-INDUCED DISORDER'
             3 'ALCOHOL INTOXICATION' 4 'ALCOHOL DEPENDENCE'
             5 'OPIOID DEPENDENCE' 6 'COCAINE DEPENDENCE'
             7 'CANNABIS DEPENDENCE' 8 'OTHER SUBSTANCE DEPENDENCE'
             9 'ALCOHOL ABUSE' 10 'CANNABIS ABUSE' 11 'OTH SUBST ABUSE'
             12 'OPIOID ABUSE' 13 'COCAINE ABUSE' 14 'ANXIETY DISORDERS'
             15 'DEPRESSIVE DISORDERS'
             16 'SCHIZOPHRENIA/OTHER PSYCHOTIC DISORDERS'
             17 'BIPOLAR DISORDERS'
             18 'ATTENTION DEFICIT/DISRUPTIVE BEH. DISORDERS'
             19 'OTHER MENTAL HEALTH CONDITION' 20 'OTHER CONDITION' /
   Q80       -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - DID NOT COMPLETE TX'
             0 'NO' 1 'YES' /
   Q81       -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED'
             1 'YES, SERVICES SPECIFIED' /
   Q81A      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81B      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81C      -9 'UNKNOWN/NOT MENTIONED' -7 'NOT ROUTINELY RECORDED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81D      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81E      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81F      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81G      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81H      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81I      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q81J      -9 'UNKNOWN/NOT MENTIONED'
             -5 'INAP - DID NOT COMPLETE TX OR NO AFTERCARE INDICATED' 0 'NO'
             1 'YES' /
   Q82       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)' 0 'NO TREATMENT'
             1 'HOSPITAL INPATIENT' 2 'RESIDENTIAL'
             3 'OUTPATIENT/METHADONE MAINTENANCE' 4 'OTHER OUTPATIENT'
             8 'OTHER (SPECIFY)' /
   Q83       -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER (SPECIFY)'
             -6 'NOT PERMITTED TO ABSTRACT' 0 'NO CHARGES' /
   Q83A      -9 'UNKNOWN/NOT MENTIONED' -5 'INAP - CHARGES WERE BILLED'
             0 'NO' 1 'YES' /
   Q84       -9 'UNKNOWN/NOT MENTIONED' -6 'NOT PERMITTED TO ABSTRACT'
             0 'NO CHARGES' 1 'FULL AMOUNT BILLED' 2 'SLIDING FEE AMOUNT'
             3 'REDUCED AMOUNT (SPECIFY % OF TOTAL IN Q84_PER)'
             8 'OTHER (SPECIFY)' /
   Q84_PER   -9 'UNKNOWN/NOT MENTIONED' -8 'OTHER(SPECIFY)'
             -6 'NOT PERMITTED TO ABSTRACT' -5 'INAP - NOT REDUCED AMOUNT' /
   Q85       -5 'NO COMMENTS LISTED' 1 'COMMENTS LISTED' /
   CORRFAC   0 'NO' 1 'YES' /
   ALCHONLY  0 'NO' 1 'YES' /
   STRATUM   1 'HOSPITAL IN-PATIENT DRUG TREATMENT'
             2 'RESIDENTIAL DRUG TREATMENT'
             3 'OUT-PATIENT DRUG DETOXIFICATION MAINTENANCE'
             4 'OUT-PATIENT DRUG-FREE TREATMENT' 5 'ALCOHOL TREATMENT ONLY'
             6 'UNKNOWN TREATMENT TYPE' /
   REGION    1 'NORTHEAST' 2 'NORTH CENTRAL' 3 'SOUTH' 4 'WEST' /
   LOS       -9 'MISSING DATA - NOT ABLE TO BE DERIVED' /
   TRT_DUR   -9 'MISSING DATA - NOT ABLE TO BE DERIVED' /
   AGEA      -9 'MISSING DATA - NOT ABLE TO BE DERIVED' /
   AGED      -9 'MISSING DATA - NOT ABLE TO BE DERIVED' /
   TXTYPE    -9 'UNKNOWN/UNABLE TO DETERMINE' 1 'HOSPITAL IN-PATIENT'
             2 'RESIDENTIAL' 3 'METHADONE' 4 'OUT-PATIENT DRUG FREE'
             5 'ALCOHOL' 7 'COMBINATION' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     CASEID
     OBS_NUM
     CLIENTYP
     ABSTRACT
     COMP_MO
     COMP_YR
     COM_TIME
     ABS_STAT
     TRANS_NO
     REABS
     QC_ABS
     Q2_MO
     Q2_YR
     Q3
     Q4
     Q5
     Q6
     Q7
     Q8_MO
     Q8_YR
     Q10
     Q11
     Q12
     Q13
     Q14
     Q15
     Q16
     Q17
     Q18
     Q19
     Q20
     Q21
     Q21_OCC
     Q22
     Q23
     Q24
     Q25
     Q26
     Q27
     Q28
     Q29
     Q29A
     Q29A_MC1
     Q29A_MC2
     Q29A_MC3
     Q29A_MC4
     Q30
     Q31
     Q32
     Q33
     Q33A
     Q33A_MC1
     Q33B_MC1
     Q33B_MC2
     Q33B_MC3
     Q33B_MC4
     Q33B_MC5
     Q33B_MC6
     Q33B
     Q33B1
     Q33B2
     Q35_EVER
     Q35_USED
     Q35_AGE
     Q36_EVER
     Q36_USED
     Q36_AGE
     Q37_EVER
     Q37_USED
     Q37_AGE
     Q38_EVER
     Q38_USED
     Q38_AGE
     Q39_EVER
     Q39_USED
     Q39_AGE
     Q40_EVER
     Q40_USED
     Q40_AGE
     Q41_EVER
     Q41_USED
     Q41_AGE
     Q42_EVER
     Q42_USED
     Q42_AGE
     Q43_EVER
     Q43_USED
     Q43_AGE
     Q44_EVER
     Q44_USED
     Q44_AGE
     Q45_EVER
     Q45_USED
     Q45_AGE
     Q46_EVER
     Q46_USED
     Q46_AGE
     Q47_EVER
     Q47_USED
     Q47_AGE
     Q48_EVER
     Q48_USED
     Q48_AGE
     Q49_EVER
     Q49_USED
     Q49_AGE
     Q50_EVER
     Q50_USED
     Q50_AGE
     Q51_EVER
     Q51_USED
     Q51_AGE
     Q52
     Q53A
     Q53B
     Q53C
     Q54
     Q54_TST1
     Q54_TST2
     Q54_MO1
     Q54_YR1
     Q54_MO2
     Q54_YR2
     Q54A_1
     Q54A_2
     Q54B_1
     Q54B_2
     Q54C_1
     Q54C_2
     Q54D_1
     Q54D_2
     Q54E_1
     Q54E_2
     Q54F_1
     Q54F_2
     Q54G_1
     Q54G_2
     Q54H_1
     Q54H_2
     Q54I_1
     Q54I_2
     Q54J_1
     Q54J_2
     Q54K_1
     Q54K_2
     Q54L_1
     Q54L_2
     Q54M_1
     Q54M_2
     Q54N_1
     Q54N_2
     Q54O_1
     Q54O_2
     Q55
     Q56
     Q57
     Q57A
     Q58
     Q58_NO
     Q58A_PRI
     Q58A_SEC
     Q58A_FAC
     Q58A_RES
     Q58B_PRI
     Q58B_SEC
     Q58B_FAC
     Q58B_RES
     Q58C_PRI
     Q58C_SEC
     Q58C_FAC
     Q58C_RES
     Q58D_PRI
     Q58D_SEC
     Q58D_FAC
     Q58D_RES
     Q58E_PRI
     Q58E_SEC
     Q58E_FAC
     Q58E_RES
     Q58F_PRI
     Q58F_SEC
     Q58F_FAC
     Q58F_RES
     Q58G_PRI
     Q58G_SEC
     Q58G_FAC
     Q58G_RES
     Q58H_PRI
     Q58H_SEC
     Q58H_FAC
     Q58H_RES
     Q58I_PRI
     Q58I_SEC
     Q58I_FAC
     Q58I_RES
     Q58J_PRI
     Q58J_SEC
     Q58J_FAC
     Q58J_RES
     Q59_SER
     Q59_FAC
     Q59_NO
     Q60_SER
     Q60_FAC
     Q60_NO
     Q61_SER
     Q61_FAC
     Q61_NO
     Q62_SER
     Q62_FAC
     Q62_NO
     Q63_SER
     Q63_FAC
     Q64_SER
     Q64_FAC
     Q65_SER
     Q65_FAC
     Q66_SER
     Q66_FAC
     Q67_SER
     Q67_FAC
     Q68_SER
     Q68_FAC
     Q69_SER
     Q69_FAC
     Q70
     Q70A
     Q71
     Q72
     Q73
     Q74
     Q74A_MO
     Q74A_YR
     Q74A_TOT
     Q74A_GIV
     Q74A_NO
     Q74A_PL
     Q74B_MO
     Q74B_YR
     Q74B_TOT
     Q74B_GIV
     Q74B_NO
     Q74B_PL
     Q75
     Q76
     Q76A_MO
     Q76A_YR
     Q76B
     Q77_MO
     Q77_YR
     Q78_MO
     Q78_YR
     Q79
     Q79A
     Q79A_MC1
     Q79A_MC2
     Q79A_MC3
     Q79A_MC4
     Q80
     Q81
     Q81A
     Q81B
     Q81C
     Q81D
     Q81E
     Q81F
     Q81G
     Q81H
     Q81I
     Q81J
     Q82
     Q83
     Q83A
     Q84
     Q84_PER
     Q85
     BATCHNO
     CORRFAC
     ALCHONLY
     STRATUM
     REGION
     LOS
     TRT_DUR
     AGEA
     AGED
     TXTYPE
     NUMDUALA
     NUMDUALD
     NUMDXA (LO THRU -1) /
     CWGHT
     CWT1
     CWT2
     CWT3
     CWT4
     CWT5
     CWT6
     CWT7
     CWT8
     CWT9
     CWT10
     CWT11
     CWT12
     CWT13
     CWT14
     CWT15
     CWT16
     CWT17
     CWT18
     CWT19
     CWT20
     CWT21
     CWT22
     CWT23
     CWT24
     CWT25
     CWT26
     CWT27
     CWT28
     CWT29
     CWT30 (LO THRU -1.0000000) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
